/*PXRUNOS2.CMD     */
/* CMD File to create a desktop object for Paradox Runtime  */

/* Load REXXUTIL */
call rxfuncadd 'sysloadfuncs', 'rexxutil', 'sysloadfuncs'
call sysloadfuncs

/* Clear screen and prompt user for drive and path */

call SysCls

SAY "***************************************************************************"
SAY "*             PARADOX RUNTIME OS/2 INSTALLATION PROGRAM            *"
SAY "***************************************************************************"
SAY ""
SAY "THIS CMD FILE INSTALLS A DESKTOP OBJECT FOR PARADOX RUNTIME"
SAY "WITH THE ASSUMPTION THAT USERS WILL USE THE DRAG AND DROP METHOD"
SAY "FOR STARTING RUNTIME"
SAY ""
SAY "Enter complete path for Paradox Runtime system files"
PULL pdoxpath
IF (pdoxpath="" )
       THEN pdoxpath=DIRECTORY()
x=length(pdoxpath)

IF \(SUBSTR(pdoxpath, x, 1) = "\" )
        THEN pdoxpath = pdoxpath"\"

filespec = pdoxpath"pdoxrun.exe"
call SysFileTree filespec, 'file', 'F'
IF file.0 = 0
        THEN
                DO
                SAY pdoxpath"PDOXRUN.EXE NOT FOUND"
                EXIT
                END
title = "Paradox Runtime"
classname = 'WPProgram'
location = '<WP_DESKTOP>'
setup = 'PROGTYPE=WINDOWEDVDM;EXENAME='pdoxpath'pdoxrun.exe;STARTUPDIR='pdoxpath';SET DPMI_DOS_API=ENABLED;SET DPMI_MEMORY_LIMIT=4;ASSOCFILTER=*.SC;ICONFILE 'pdoxpath'pxrunos2.ico;'

BldObj:
call charout , 'Building : 'title
result = SysCreateObject(classname, title, location, setup)

If result = 1 then call charout ,'...  Object created! '
Else                      call charout ,'...  Not created! Return code = 'result
SAY ' '


